Berkeley DB version 5.3.21

## com.sleepycat.db
Class ReplicationManagerStats

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStats

    public class ReplicationManagerStats

extends Object

Replication Manager statistics for a database environment.

Method Summary
`long` `getConnectFail()` The number of times new connection attempts have failed.
`long` `getConnectionDrop()` The number of existing connections that have been dropped since the statistics were last reset.
`long` `getElectThreads()` Number of currently active election threads.
`long` `getMaxElectThreads()` Election threads for which space is reserved.
`long` `getMsgsDropped()` The number of messages discarded due to queue length overflows.
`long` `getMsgsQueued()` The number of messages queued due to a network delay.
`long` `getPermFailed()` The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout.
`String` `toString()` For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPermFailed

    public long getPermFailed()

  The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout.

### getMsgsQueued

    public long getMsgsQueued()

  The number of messages queued due to a network delay.

### getMsgsDropped

    public long getMsgsDropped()

  The number of messages discarded due to queue length overflows.

### getConnectionDrop

    public long getConnectionDrop()

  The number of existing connections that have been dropped since the statistics were last reset.

### getConnectFail

    public long getConnectFail()

  The number of times new connection attempts have failed.

### getElectThreads

    public long getElectThreads()

  Number of currently active election threads.

### getMaxElectThreads

    public long getMaxElectThreads()

  Election threads for which space is reserved.

### toString

    public String toString()

  For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.3.21

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.